complexType "FxLinkedNotionalSchedule"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 2 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | initialValue?, varyingNotionalCurrency
</...>

Content Model Elements (2):

  initialValue (in fxLinkedNotionalSchedule), | varyingNotionalCurrency

All Direct / Indirect Based Elements (1):

  fxLinkedNotionalSchedule

Known Usage Locations

- As direct type of elements (1):
  fxLinkedNotionalSchedule

Annotation
A type to describe a notional schedule where each notional that applies to a calculation period is calculated with reference to a notional amount or notional amount schedule in a different currency by means of a spot currency exchange rate which is normally observed at the beginning of each period.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="FxLinkedNotionalSchedule"> <xsd:sequence> <!--View Generation: SKIPPED constantNotionalScheduleReference - Documentation--> <xsd:element minOccurs="0" name="initialValue" type="xsd:decimal"/> <xsd:element name="varyingNotionalCurrency" type="Currency"/> <!--View Generation: SKIPPED varyingNotionalFixingDates - Dates--> <!--View Generation: SKIPPED fxSpotRateSource - Documentation--> <!--View Generation: SKIPPED varyingNotionalInterimExchangePaymentDates - Documentation--> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
initialValue

  Type: | xsd:decimal, predefined, simple content

  The initial currency amount for the varying notional. This may be omitted for a forward starting swap if the FX-linked notional value is not known at deal inception.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="initialValue" type="xsd:decimal"/>

varyingNotionalCurrency

  Type: | Currency, simple content

  The currency of the varying notional amount, i.e. the notional amount being determined periodically based on observation of a spot currency exchange rate.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="varyingNotionalCurrency" type="Currency"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.